@ECHO OFF
TITLE **NAME OF DATABASE HERE** Database

REM *****************************************************
REM *		Script for running Version Control 	*
REM * 		Created By 	: 			*
REM * 		Date		: 			*	
REM *							*
REM *		Edited By 	: 			*
REM *                             			*
REM *           Re-edited By    : 			*
REM *                             			*
REM *                             Draft Release 1.0	*
REM *****************************************************

REM       NOTE:  Replace the relevant information in the brackets where listed and delete the brackets


REM Set all variables for database to be downloaded if a new version needs to be deployed

REM ---- Only need to update the version file once below
set LocalVersionCheck=C:\dbfoldername\Versionfile.0001

REM ---- LEAVE BELOW, points to MS Access version you wan
set xp="C:\Program Files\Microsoft Office\Office10\msaccess.exe"

REM Set Variables for Deployment
set LocalDir=C:\(Db_Local_Folder_Name)
set StartApp=C:\(Db_Local_Folder_Name)\(AccessDbName.mdb)
set ServerFileLocation="(ServerDrive):\(App Folders)\(sub app folder)\*"
SET COPYCMD=/Y


IF NOT EXIST %xp% goto noAccess2002

ECHO . .
ECHO Checking Local Folders

IF EXIST %LocalDir% goto CheckVersion
MKDIR %LocalDir% 
GOTO DownLoadNewFiles

ECHO . .
ECHO Checking Database Version . . . 
:CheckVersion
IF EXIST %LocalVersionCheck% GOTO Run


ECHO . .
ECHO Downloading new version files ...
ECHO . .

REM --- Delete all files in local directory to be replaced with new version
Del %LocalDir% /q

:DownLoadNewFiles
REM --- Copy all files from server to local directory
REM ---- NOTE : All of the files in the ServerFileLocation will be downloaded
XCOPY %ServerFileLocation% %LocalDir% /s /e /q || GOTO ErorDownload

REM --- Start Application
:Run
start "title" %xp% %StartApp% || GOTO ERRORINSTART
goto :eof

:noAccess2002
ECHO
ECHO Cannot find MS Access 2002
ECHO Please contact . . . 
PAUSE
exit

:ERRORINSTART
ECHO
ECHO Cannot Start (DATABASE NAME) Db
ECHO Please contact  . . . 
PAUSE
exit

:ErrorDownload
ECHO .
ECHO Error in loading On Downloading Database
ECHO Please contact . . . 
PAUSE
Exit
